Debian Bug report logs - #536584
FTBFS: Needs dependency on libghc6-mtl-dev

version graph

Package: haskell-cgi; Maintainer for haskell-cgi is Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>;

Reported by: Joachim Breitner <nomeata@debian.org>

Date: Sat, 11 Jul 2009 10:51:01 UTC

Severity: serious

Merged with 536994

Found in version 3001.1.7.1-1

Fixed in version haskell-cgi/3001.1.7.1-2

Done: Kari Pahula <kaol@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-haskell@lists.debian.org, Kari Pahula <kaol@debian.org>:
Bug#536584; Package haskell-cgi. (Sat, 11 Jul 2009 10:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Breitner <nomeata@debian.org>:
New Bug report received and forwarded. Copy sent to debian-haskell@lists.debian.org, Kari Pahula <kaol@debian.org>. (Sat, 11 Jul 2009 10:51:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: FTBFS: Needs dependency on libghc6-mtl-dev
Date: Sat, 11 Jul 2009 12:49:29 +0200
Package: haskell-cgi
Version: 3001.1.7.1-1
Severity: serious

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi kaol,

in haskell-cgi, a dependency on libghc6-mtl-dev was forgotten, and now
it does not build on the buildds.

BTW: What is your attitute WRT to NMUs? Do you welcome if other
developers just fix such build problems in your packages, or only in
your non-core-library packages, or do you rather do it yourself?

Also, I’d like to invite you to maintain your non-core-packages within
the Debian Haskell Group. I’d like to help you with your workload by
sharing some tedious tasks (like this bug), to indirectly help the ghc6
maintenanace :-)

Greetings,
Joachim

- -- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.29-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkpYbjkACgkQ9ijrk0dDIGx/0gCeIT+MGx/Y/DV4GuuTN26dwUFz
b0kAn3OxhFgX5d4i1UsvP9lRVSwk2UJI
=IJma
-----END PGP SIGNATURE-----




Forcibly Merged 536584 536994. Request was from Kari Pahula <kaol@debian.org> to control@bugs.debian.org. (Tue, 14 Jul 2009 14:45:10 GMT) Full text and rfc822 format available.

Reply sent to Kari Pahula <kaol@debian.org>:
You have taken responsibility. (Mon, 20 Jul 2009 10:33:07 GMT) Full text and rfc822 format available.

Notification sent to Joachim Breitner <nomeata@debian.org>:
Bug acknowledged by developer. (Mon, 20 Jul 2009 10:33:08 GMT) Full text and rfc822 format available.

Message #12 received at 536584-close@bugs.debian.org (full text, mbox):

From: Kari Pahula <kaol@debian.org>
To: 536584-close@bugs.debian.org
Subject: Bug#536584: fixed in haskell-cgi 3001.1.7.1-2
Date: Mon, 20 Jul 2009 10:17:05 +0000
Source: haskell-cgi
Source-Version: 3001.1.7.1-2

We believe that the bug you reported is fixed in the latest version of
haskell-cgi, which is due to be installed in the Debian FTP archive:

haskell-cgi_3001.1.7.1-2.diff.gz
  to pool/main/h/haskell-cgi/haskell-cgi_3001.1.7.1-2.diff.gz
haskell-cgi_3001.1.7.1-2.dsc
  to pool/main/h/haskell-cgi/haskell-cgi_3001.1.7.1-2.dsc
libghc6-cgi-dev_3001.1.7.1-2_i386.deb
  to pool/main/h/haskell-cgi/libghc6-cgi-dev_3001.1.7.1-2_i386.deb
libghc6-cgi-doc_3001.1.7.1-2_all.deb
  to pool/main/h/haskell-cgi/libghc6-cgi-doc_3001.1.7.1-2_all.deb
libghc6-cgi-prof_3001.1.7.1-2_i386.deb
  to pool/main/h/haskell-cgi/libghc6-cgi-prof_3001.1.7.1-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 536584@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Kari Pahula <kaol@debian.org> (supplier of updated haskell-cgi package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 20 Jul 2009 12:44:35 +0300
Source: haskell-cgi
Binary: libghc6-cgi-dev libghc6-cgi-prof libghc6-cgi-doc
Architecture: source all i386
Version: 3001.1.7.1-2
Distribution: unstable
Urgency: low
Maintainer: Kari Pahula <kaol@debian.org>
Changed-By: Kari Pahula <kaol@debian.org>
Description: 
 libghc6-cgi-dev - Haskell CGI library for GHC
 libghc6-cgi-doc - Haskell CGI library for GHC; documentation
 libghc6-cgi-prof - Haskell CGI library for GHC; profiling libraries
Closes: 536584
Changes: 
 haskell-cgi (3001.1.7.1-2) unstable; urgency=low
 .
   * Added missing build dependency on libghc6-mtl-dev (Closes: #536584)
   * Bumped Standards-Version to 3.8.2.
     * Use Section: haskell.
Checksums-Sha1: 
 766685a4a3e400ce94d282562e0455406eaad9cd 1437 haskell-cgi_3001.1.7.1-2.dsc
 4e5ef9ad4aa80e517d89f54203c697315196f0b1 2576 haskell-cgi_3001.1.7.1-2.diff.gz
 24d5bfa0c6679dd2266b8c1313fa31d15ae2f9cf 78578 libghc6-cgi-doc_3001.1.7.1-2_all.deb
 850a77ffc1c40cac534b33b7535845e63e0464cb 341800 libghc6-cgi-dev_3001.1.7.1-2_i386.deb
 4e0794680eeae9ec913a7f2bfb50fdae641676f2 365490 libghc6-cgi-prof_3001.1.7.1-2_i386.deb
Checksums-Sha256: 
 be1dcfa64b49b58e66b3e3e3753cfb96533586818356a01bdeb80ce65b8ea428 1437 haskell-cgi_3001.1.7.1-2.dsc
 037a538fc98d3d8a349914064ac17145f1eab5d24bc12335cc1be24aedd8c00c 2576 haskell-cgi_3001.1.7.1-2.diff.gz
 0426a62af655efbd0ac31cc17468eb3e036c5b2c9110fd0089c5bc2dabdc3f2c 78578 libghc6-cgi-doc_3001.1.7.1-2_all.deb
 c58a376dc60e1c2f25130d9476fb0440e08bb71cb3d156857843a805922741fb 341800 libghc6-cgi-dev_3001.1.7.1-2_i386.deb
 c61659e2cf9e16b45eb7bde240407e790afc693b3e7cab617309044327dede81 365490 libghc6-cgi-prof_3001.1.7.1-2_i386.deb
Files: 
 33d585798cab97918f2e3d78bfe679aa 1437 haskell optional haskell-cgi_3001.1.7.1-2.dsc
 d9b3c6f62d1cc4b06e6dd3391d91ab8c 2576 haskell optional haskell-cgi_3001.1.7.1-2.diff.gz
 fa55dbd50cf746599f88483707f06967 78578 doc optional libghc6-cgi-doc_3001.1.7.1-2_all.deb
 a707659b8c558ec56deb9792429cf872 341800 haskell optional libghc6-cgi-dev_3001.1.7.1-2_i386.deb
 84e5b80e5c945a2b5b45dceaee553742 365490 haskell optional libghc6-cgi-prof_3001.1.7.1-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkpkPcAACgkQeYl9593Atw1Z4ACgq4eTvJwQF5IZUWVFeHMU60bH
WuQAn2S8krC5E8xosyR4brLnDBdP42Dr
=saR6
-----END PGP SIGNATURE-----





Reply sent to Kari Pahula <kaol@debian.org>:
You have taken responsibility. (Mon, 20 Jul 2009 10:33:09 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Mon, 20 Jul 2009 10:33:09 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 18 Aug 2009 07:36:23 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 16:22:25 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.